package com.tofly.yxpc.entity;

import android.text.TextUtils;

import com.alibaba.fastjson.JSON;

import org.greenrobot.greendao.converter.PropertyConverter;

import java.util.ArrayList;
import java.util.List;

/**
 * @author 76486
 */
public class DictConverter implements PropertyConverter<SysDictBean, String> {
    @Override
    public SysDictBean convertToEntityProperty(String databaseValue) {
        if (TextUtils.isEmpty(databaseValue)) {
            return null;
        } else {
            SysDictBean sysDict = JSON.parseObject(databaseValue, SysDictBean.class);
            return sysDict;
        }
    }

    @Override
    public String convertToDatabaseValue(SysDictBean entityProperty) {
        if (entityProperty == null) {
            return null;
        } else {
            return JSON.toJSONString(entityProperty);
        }
    }
}
