package com.tofly.yxpc.entity;

import android.text.TextUtils;

import com.alibaba.fastjson.JSON;

import org.greenrobot.greendao.converter.PropertyConverter;

/**
 * @author 76486
 */
public class KbdDescribesConverter implements PropertyConverter<KbdDescribesBean, String> {
    @Override
    public KbdDescribesBean convertToEntityProperty(String databaseValue) {
        if (TextUtils.isEmpty(databaseValue)) {
            return null;
        } else {
            KbdDescribesBean kbdDescribesBean = JSON.parseObject(databaseValue, KbdDescribesBean.class);
            return kbdDescribesBean;
        }
    }

    @Override
    public String convertToDatabaseValue(KbdDescribesBean entityProperty) {
        if (entityProperty == null) {
            return null;
        } else {
            String s =JSON.toJSONString(entityProperty);
            return JSON.toJSONString(entityProperty);
        }
    }
}
