package com.tofly.yxpc.utils;


import android.widget.CheckBox;

import androidx.annotation.Nullable;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.tofly.yxpc.R;
import com.tofly.yxpc.entity.WaterMeterEntity;

import java.util.List;


/**
 * @author 76486
 */
public class DialogWaterAdapter extends BaseQuickAdapter<WaterMeterEntity, BaseViewHolder> {
    public DialogWaterAdapter(@Nullable List<WaterMeterEntity> data) {
        super(R.layout.item_dialog_water, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, WaterMeterEntity item) {
        helper.setText(R.id.tv_name, item.getWaterMeterNum() == null ? "" :  item.getWaterMeterNum());
        helper.setText(R.id.tv_username, item.getUserName() == null ? "" :  item.getUserName());
        helper.setText(R.id.tv_usernum, item.getUserNum() == null ? "" :  item.getUserNum());
        if (item.isIscheck()){
            ((CheckBox)helper.getView(R.id.cb_ischeck)).setChecked(true);
        } else {
            ((CheckBox)helper.getView(R.id.cb_ischeck)).setChecked(false);
        }
        helper.getView(R.id.layout).setOnClickListener(view -> {
            item.setIscheck(!item.isIscheck());
            if (((CheckBox)helper.getView(R.id.cb_ischeck)).isChecked()){
                ((CheckBox)helper.getView(R.id.cb_ischeck)).setChecked(false);
            } else {
                ((CheckBox)helper.getView(R.id.cb_ischeck)).setChecked(true);
            }
        });
    }
}
