package com.tofly.yxpc.utils;

import android.content.Context;
import android.view.Gravity;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;

import androidx.appcompat.widget.AppCompatSpinner;

import com.tofly.yxpc.R;
import com.tofly.yxpc.base.MyApp;

import java.lang.reflect.Field;
import java.util.List;

/**
 * @author ychk
 */
public class SpinnerUtils {

    public static void initSpinner(Context context, AppCompatSpinner spinner, List<String> list) {
            ArrayAdapter<String> adapter = new ArrayAdapter<>(context, R.layout.spinner_item, list);
            adapter.setDropDownViewResource(R.layout.dropdown_spinner_item);
            spinner.setAdapter(adapter);
            spinner.setGravity(Gravity.END);
            spinner.setDropDownVerticalOffset(MyApp.dip2px(50));
    }

    public static void refreshObject(AppCompatSpinner spinner) {
        try {
            Class<?> clazz = AdapterView.class;
            Field field = clazz.getDeclaredField("mOldSelectedPosition");
            field.setAccessible(true);
            field.setInt(spinner, AdapterView.INVALID_POSITION);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
