package com.tofly.yxpc.utils.update;

import com.tofly.latte_core.net.bean.BaseResponse;
import com.tofly.yxpc.entity.FileBean;

import java.util.List;

/**
 * @author ychk
 */
public class VersionInfo extends BaseResponse {

    private List<VersionBean> records;

    public List<VersionBean> getRecords() {
        return records;
    }

    public void setRecords(List<VersionBean> records) {
        this.records = records;
    }

    public static class VersionBean {

        /**
         * 编号
         */
        private String id;
        /**
         * 版本号
         */
        private String versionNumber;
        /**
         * 更新说明
         */
        private String detail;
        /**
         * 创建时间
         */
        private String createTime;
        /**
         * 附件列表
         */
        private List<FileBean> fileInfos;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getVersionNumber() {
            return versionNumber;
        }

        public void setVersionNumber(String versionNumber) {
            this.versionNumber = versionNumber;
        }

        public String getDetail() {
            return detail;
        }

        public void setDetail(String detail) {
            this.detail = detail;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }

        public List<FileBean> getFileInfos() {
            return fileInfos;
        }

        public void setFileInfos(List<FileBean> fileInfos) {
            this.fileInfos = fileInfos;
        }
    }
}
