package com.tofly.yxpc.utils.update;

import android.content.Context;

/**
 * @author ychk
 */
public class VersionRepository implements VersionSource{
    private static VersionRepository INSTANCE = null;

    private final VersionRemoteSource remoteSource;

    public static synchronized VersionRepository getInstance(){
        if (INSTANCE  == null){
            INSTANCE = new VersionRepository();
        }
        return INSTANCE;
    }

    private VersionRepository() {
        this.remoteSource = VersionRemoteSource.getInstance();
    }

    @Override
    public void getLastVersionInfo(Context context, VersionSource.IVersionCallback versionCallback) {
        remoteSource.getLastVersionInfo(context, versionCallback);
    }

}
