package com.tofly.yxpc.utils.update;

import android.content.Context;

/**
 * @author ychk
 */
public interface VersionSource {

    interface IVersionCallback {
        void onGetLastVersionInfo(VersionInfo.VersionBean versionInfo);

        void onError(String errMsg);
    }

    /**
     * 获取最新版本app的版本信息
     */
    void getLastVersionInfo(Context context, IVersionCallback versionCallback);

}
