package com.tofly.latte_core.base;

/**
 * @author ychk
 */
public interface BaseView {

    /**
     * 加载提示信息
     *
     * @param message
     */
    void onMessage(String message);

    /**
     * 显示进度条
     */
    void showLoading(String msg);

    /**
     * 隐藏进度条
     */
    void hideLoading();

}
