package com.tofly.latte_core.config;

import android.os.Environment;

/**
 * @author ychk
 */
public class Constants {
    /**
     * 设置默认超时时间
     */
    public static final int DEFAULT_TIME = 20;
    /**
     * 返回正确状态
     */
    public static final String SUCCESS = "200";

    /**
     * 工程基本信息请求值
     */
    public static final String PROJECT_BASE = "1570692286170427394";

    /**
     * 工程类型请求值
     */
    public static final String PROJECT_TYPE = "1568576031811006466";

    /**
     * 基本地址
     */
    public static final String ROOT_PATH = Environment.getExternalStorageDirectory() + "/yxpc";

    /**
     * 图片默认保存地址
     */
    public static final String PHOTO_PATH = ROOT_PATH + "/image/temp/";

    /**
     * 签名图片
     */
    public static final String SIGNATURE_PATH = ROOT_PATH + "/image/signature/";

    /**
     * 图片默认保存地址
     */
    public static final String VIDEO_PATH = ROOT_PATH + "/video/";

}
