package com.tofly.yxpc.base;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;

/**
 * @author ychk
 */
public class NetWorkUrl {
    /**
     * 正式环境
     */
    private final static String NORMAL_URL = "http://3.13.2.109:10/";
//    /**
//     * 测试环境 外网
//     */
//    private final static String TEST_URL = "http://192.168.2.17:24002/";
    /**
     * 测试环境 外网
     */
    private final static String TEST_URL = "http://221.182.8.141:24002/";
    private static final boolean IS_NORMAL = false;

    /**
     * 获取服务器地址
     */
    public static String getServerUrl() {
        return IS_NORMAL ? NORMAL_URL : TEST_URL;
    }

    /**
     * 下载附件
     */
    public static String getFileUrl(String filepath) {
        return getServerUrl().split(":")[0] + ":" + getServerUrl().split(":")[1] + ":24005/yxsw/" + filepath;
    }

    /**
     * 下载附件
     */
    public static String getApk(String filepath, String fileName) {
        try {
            fileName = URLEncoder.encode(fileName, "UTF-8");
        } catch (UnsupportedEncodingException ignore) {
            fileName = "";
        }
        return getServerUrl() + "tofly-auth/file/downloadFile?remotePath="
                + filepath + "&fileName=" + fileName;
    }

    public final static String MAP_URL = "http://36.137.119.21:6080/arcgis/rest/services/ZhongMin/MianZhu_Image/MapServer";

}
