package com.tofly.yxpc.entity;

/**
 * @author ychk
 * 功能模块实体
 */
public class ItemBean {

    private String name;
    private int img;
    private Class<?> aClass;

    public ItemBean(String name, int img, Class<?> aClass) {
        this.name = name;
        this.img = img;
        this.aClass = aClass;
    }

    public String getName() {
        return name;
    }

    public int getImg() {
        return img;
    }

    public Class<?> getaClass() {
        return aClass;
    }

    public static class Builder {
        private String name;
        private int img;
        private Class<?> aClass;

        public Builder setName(String name) {
            this.name = name;
            return this;
        }

        public Builder setImg(int img) {
            this.img = img;
            return this;
        }

        public Builder setaClass(Class<?> aClass) {
            this.aClass = aClass;
            return this;
        }

        public ItemBean build() {
            return new ItemBean(name, img, aClass);
        }
    }
}
