package com.tofly.yxpc.ui.adapter;

import android.content.Intent;

import androidx.annotation.Nullable;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.tofly.yxpc.R;
import com.tofly.yxpc.base.MyApp;
import com.tofly.yxpc.entity.ItemBean;

import java.util.List;

/**
 * @author ychk
 */
public class IndexAdapter extends BaseQuickAdapter<ItemBean, BaseViewHolder> {

    public IndexAdapter(@Nullable List<ItemBean> data) {
        super(R.layout.item_model, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, ItemBean item) {
        helper.setText(R.id.tv_title, item.getName() == null ? "" : item.getName());
        helper.setBackgroundRes(R.id.iv_title, item.getImg());
        helper.setOnClickListener(R.id.item_view, v -> {
            if (MyApp.getInstance().isOverTime()) {
                Intent intent = new Intent(mContext, item.getaClass());
                mContext.startActivity(intent);
            }
        });
    }
}
