package com.tofly.yxpc.ui.adapter;

import androidx.annotation.Nullable;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.tofly.yxpc.R;
import com.tofly.yxpc.entity.WaterMeterEntity;
import java.util.List;

/**
 * @author 76486
 */
public class TaskAdapter extends BaseQuickAdapter<WaterMeterEntity, BaseViewHolder> {
    public TaskAdapter(@Nullable List<WaterMeterEntity> data) {
        super(R.layout.item_task, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, WaterMeterEntity item) {
        switch (item.getState()) {
            case 0:
                helper.setText(R.id.tv_state, "未开始");
                helper.setBackgroundRes(R.id.tv_state, R.drawable.bg_gray_50);
                break;
            case 1:
                helper.setText(R.id.tv_state, "草稿");
                helper.setBackgroundRes(R.id.tv_state, R.drawable.bg_blue_50);
                break;
            case 2:
                helper.setText(R.id.tv_state, "本地");
                helper.setBackgroundRes(R.id.tv_state, R.drawable.bg_yellow_50);
                break;
            default:
                helper.setText(R.id.tv_state, "已提交");
                helper.setBackgroundRes(R.id.tv_state, R.drawable.bg_green_50);
                break;
        }
        helper.setText(R.id.tv_sbbh, item.getWaterMeterNum() == null ? "" : item.getWaterMeterNum());
        helper.setText(R.id.tv_yhbh, item.getUserNum() == null ? "" : item.getUserNum());
        helper.setText(R.id.tv_yhmc, item.getUserName() == null ? "" : item.getUserName());
        helper.setText(R.id.tv_yhdz, item.getUserAddr() == null ? "" : item.getUserAddr());
    }
}
