package com.tofly.yxpc.utils.db;

import android.content.Context;

import com.github.yuweiguocn.library.greendao.MigrationHelper;
import com.tofly.yxpc.greenDao.DaoMaster;
import com.tofly.yxpc.greenDao.DictEntityDao;
import com.tofly.yxpc.greenDao.SbdjEntityDao;
import com.tofly.yxpc.greenDao.TwdhEntityDao;
import com.tofly.yxpc.greenDao.UserEntityDao;
import com.tofly.yxpc.greenDao.WaterMeterEntityDao;
import com.tofly.yxpc.greenDao.WaterMeterTaskEntityDao;

import org.greenrobot.greendao.database.Database;

/**
 * @author 76486
 */
public class UpgradeHelper extends DaoMaster.DevOpenHelper {
    public UpgradeHelper(Context context, String name) {
        super(context, name);
    }

    @Override
    public void onUpgrade(Database db, int oldVersion, int newVersion) {
        super.onUpgrade(db, oldVersion, newVersion);
        MigrationHelper.migrate(db, UserEntityDao.class, TwdhEntityDao.class, WaterMeterEntityDao.class, WaterMeterTaskEntityDao.class, DictEntityDao.class, SbdjEntityDao.class);
    }
}
