package com.tofly.yxpc.utils.video;

/**
 * @author ychk
 */

public enum PlayerStatus {
    /**
     * 闲置状态
     */
    IDLE,
    /**
     * 加载中状态
     */
    LOADING,
    /**
     * 播放成功
     */
    SUCCESS,
    /**
     * 暂时停止播放
     */
    STOPPING,
    /**
     * 播放失败
     */
    FAILED,
    /**
     * 播放过程中出现异常
     */
    EXCEPTION,
    /**
     * 回放结束
     */
    FINISH
}
