package com.tofly.latte_core.base;

/**
 * @author ychk
 */
public interface IPresenter<V> {

    /**
     * 加载view
     *
     * @param view
     */
    void onAttachView(V view);

    /**
     * 取消view
     */
    void onDetachView();

}
