package com.tofly.latte_core.net.interceptor;

import android.util.Log;

import com.tofly.latte_core.utils.AccountManager;

import java.io.IOException;

import okhttp3.Interceptor;
import okhttp3.Request;
import okhttp3.Response;

/**
 * @author ychk
 */
public class RequestInterceptor implements Interceptor {

    @Override
    public Response intercept(Chain chain) throws IOException {
        Request.Builder builder = chain.request().newBuilder();
        builder.addHeader("Authorization", "bearer " + AccountManager.getToken());
        Log.e("token", "bearer " + AccountManager.getToken());
        return chain.proceed(builder.build());
    }
}
