package com.tofly.latte_core.utils;

import android.text.TextUtils;
import android.view.Gravity;
import android.widget.Toast;

import com.tofly.latte_core.config.Latte;
import com.tofly.latte_core.net.exception.ExceptionHandle;

import org.greenrobot.eventbus.EventBus;

/**
 * @author ychk
 * 弹窗提示
 */
public class ToastUtils {

    public static void showToast(final String msg) {
        if (!TextUtils.isEmpty(msg)) {
            if ("无权访问".equals(msg)) {
                EventBus.getDefault().post(new ExceptionHandle.MyExceptionEvent(ExceptionHandle.MyExceptionEvent.UNAUTHORIZED_EVENT));
            } else {
                Toast toast = Toast.makeText(Latte.getApplicationContext(), msg, Toast.LENGTH_SHORT);
                toast.setGravity(Gravity.CENTER_VERTICAL, 0, 0);
                toast.show();
            }
        }
    }
}
